# $Id: gc.spec,v 1.12 2003/10/02 17:17:13 rexdieter Exp $

## kde-redhat macros BEGIN
%if "%(grep "Red Hat Linux" /etc/redhat-release )" != "%{nil}"
# legacy Red Hat Linux releases
%define rhrelease %(perl -pe '/(\\d+)\\.?(\\d+)?/; $_="$1".($2||0)' /etc/redhat-release )
%define release_tag .fdr.%{fedora_release}.rh%{rhrelease}
%else
# Fedore Core
%define rhrelease %(perl -pe '/(\\d+)\\.?(\\d+)?/; $_="$1".(defined($2)&&".$2")' /etc/redhat-release )
%define release_tag .fdr.%{fedora_release}.%{rhrelease}
%endif
# rpmbuild --without rhrelease to avoid the mess.
%{?_without_rhrelease:%define release_tag .fdr.%{fedora_release}}
## kde-redhat macros END

# pkg/rpm release.  Increment for each new version/release
%define fedora_release 3

Summary: C++ Garbage Collector	
Name:    gc	
Epoch:	 0
Version: 6.2
Release: 0%{?release_tag}.rh80
Group:	 System Environment/Libraries
License: BSD
Url:     http://www.hpl.hp.com/personal/Hans_Boehm/gc/	
Source:  http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source/gc6.2.tar.gz
Prefix:	 %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Patch1: gc-6.2-opendl.patch

%description
The Boehm-Demers-Weiser conservative garbage collector can be used as a garbage 
collecting replacement for C malloc or C++ new.

%package devel
Summary: Libraries and header files for gc development 
Group:   Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
%description devel
Libraries and header files for gc development.


%prep
%setup -q -n %{name}%{version}%{?beta}

%patch1 -p1 -b .dl


%build

%configure \
  --enable-cplusplus 
# --enable-parallel-mark

make %{?_smp_mflags}

make check


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR="$RPM_BUILD_ROOT"

install -p -D -m644 doc/gc.man	$RPM_BUILD_ROOT%{_mandir}/man3/gc.3

## Unpackaged files
rm -rf $RPM_BUILD_ROOT%{_datadir}/gc
rm -f  $RPM_BUILD_ROOT%{_libdir}/lib*.la


%clean
rm -rf 	"$RPM_BUILD_ROOT"


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files 
%defattr(-,root,root)
%doc doc/README doc/README.changes doc/README.contributors
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc doc/*.html
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_mandir}/man?/*


%changelog
* Thu Oct 02 2003 Rex Dieter <rexdieter at sf.net> 0:6.2-0.fdr.3
- OK, put manpage in man3.

* Thu Oct 02 2003 Rex Dieter <rexdieter at sf.net> 0:6.2-0.fdr.2
- drop manpage pending feedback from developer. 

* Tue Sep 30 2003 Rex Dieter <rexdieter at sf.net> 0:6.2-0.fdr.1
- fix manpage location 
- remove .la file (it appears unnecessary after all, thanks to opendl patch)
- remove cvs tag from description
- touchup -devel desc/summary.
- macro update to support Fedora Core

* Thu Sep 11 2003 Rex Dieter <rexdieter at sf.net> 0:6.2-0.fdr.0 
- 6.2 release.
- update license (BSD)
- Consider building with: --enable-parallel-mark
  (for now, no).

